org.apache.cassandra.service.paxos

## Class PrepareCallback

- java.lang.Object
- - org.apache.cassandra.service.paxos.AbstractPaxosCallback<PrepareResponse>
  - - org.apache.cassandra.service.paxos.PrepareCallback

All Implemented Interfaces:
  IAsyncCallback<PrepareResponse>

    public class PrepareCallback
    extends AbstractPaxosCallback<PrepareResponse>

### Field Summary

Fields
`Commit` `mostRecentCommit`
`Commit` `mostRecentInProgressCommit`
`Commit` `mostRecentInProgressCommitWithUpdate`
`boolean` `promised`

### Fields inherited from class org.apache.cassandra.service.paxos.AbstractPaxosCallback

`latch, targets`

### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

`isAlive`

### Constructor Summary

Constructors
Constructor and Description
`PrepareCallback(java.nio.ByteBuffer key, CFMetaData metadata, int targets, ConsistencyLevel consistency)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Iterable<java.net.InetAddress>` `replicasMissingMostRecentCommit(CFMetaData metadata, long now)`
`void` `response(MessageIn<PrepareResponse> message)`

### Methods inherited from class org.apache.cassandra.service.paxos.AbstractPaxosCallback

`await, getResponseCount, isLatencyForSnitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### promised

    public boolean promised

#### mostRecentCommit

    public Commit mostRecentCommit

#### mostRecentInProgressCommit

    public Commit mostRecentInProgressCommit

#### mostRecentInProgressCommitWithUpdate

    public Commit mostRecentInProgressCommitWithUpdate

### Constructor Detail

#### PrepareCallback

    public PrepareCallback(java.nio.ByteBuffer key,
                           CFMetaData metadata,
                           int targets,
                           ConsistencyLevel consistency)

### Method Detail

#### response

    public void response(MessageIn<PrepareResponse> message)

Parameters:
  `message` - response received.

#### replicasMissingMostRecentCommit

    public java.lang.Iterable<java.net.InetAddress> replicasMissingMostRecentCommit(CFMetaData metadata,
                                                                                    long now)